Apache Tomcat 7.0.42

## org.apache.catalina.ha.backend
Enum Proxy.State

    java.lang.Object
      java.lang.Enum<Proxy.State>
          org.apache.catalina.ha.backend.Proxy.State

All Implemented Interfaces:
  Serializable, Comparable<Proxy.State>

Enclosing class:
  Proxy

    protected static enum Proxy.State

extends Enum<Proxy.State>

Enum Constant Summary
`DOWN`
`ERROR`
`OK`

Method Summary
`static Proxy.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Proxy.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OK

    public static final Proxy.State OK

### ERROR

    public static final Proxy.State ERROR

### DOWN

    public static final Proxy.State DOWN

Method Detail

### values

    public static Proxy.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Proxy.State c : Proxy.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Proxy.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.